## rdf2rml 0~20250122~dfsg

=== doc/Makefile ===
all: rdf2rml.html rdfpuml.html rdf2sparql.html

%.html : %.md
	pandoc --standalone --wrap=preserve -Vmaxwidth=100% $< -o $@

=== test/learningSparql/Makefile ===
all: ex012.png ex012.svg

%.png: %.ttl
	rdfpuml.bat $*.ttl
	puml.bat $*.puml
	rm $*.puml

%.svg: %.ttl
	rdfpuml.bat $*.ttl
	puml.bat -Tsvg $*.puml
	rm $*.puml

=== debian/changelog ===
rdf2rml (0~20250122~dfsg-2) unstable; urgency=medium

  * update git-buildpackage config: simplify usage comments
  * add metadata about upstream project
  * update watch file: mangle filename

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 17 Feb 2025 21:00:05 +0100

rdf2rml (0~20250122~dfsg-1) experimental; urgency=medium

  [ upstream ]
  * development snapshot

  [ Jonas Smedegaard ]
  * tighten source helper script patch-cherry-pick
  * update and unfuzz patches
  * update copyright info: update coverage
  * generate documentation during build;
    build-depend on pandoc

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 28 Jan 2025 15:39:23 +0100

rdf2rml (0~20241120~dfsg-1) experimental; urgency=medium

  * initial release;
    closes: bug#1071475

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 22 Nov 2024 21:35:52 +0100

=== debian/control ===
Source: rdf2rml
Section: science
Priority: optional
Maintainer: Jonas Smedegaard <dr@jones.dk>
Build-Depends:
 debhelper-compat (= 13),
 libfindbin-libs-perl <!nocheck>,
 libpath-tiny-perl <!nocheck>,
 librdf-query-perl <!nocheck>,
 librdf-trine-perl <!nocheck>,
 libtest-file-contents-perl <!nocheck>,
 libtest-script-perl <!nocheck>,
 pandoc <!nodoc>,
 perl <!nocheck>,
Standards-Version: 4.7.0
Homepage: https://github.com/VladimirAlexiev/rdf2rml
Vcs-Browser: https://salsa.debian.org/debian/rdf2rml
Vcs-Git: https://salsa.debian.org/debian/rdf2rml.git
Rules-Requires-Root: no

Package: rdf2rml
Architecture: all
Depends:
 libfindbin-libs-perl,
 libpath-tiny-perl,
 librdf-query-perl,
 librdf-trine-perl,
 perl,
 ${misc:Depends},
Recommends:
 plantuml,
Description: convert RDF data to either R2RML script or PlantUML diagram
 The rdf2rml project provides two command-line tools:
  * rdf2rml - convert RDF example to R2RML script
  * rdfpuml - convert RDF to PlantUML diagram
 .
 rdfpuml makes true diagrams directly from Turtle examples
 using PlantUML and GraphViz.
 .
 rdf2rml generates R2RML transformations from examples,
 which saves about 15x in complexity
 and ensures compliance of the actual conversion to the model.
 Typically the example is an rdfpuml model.
 .
 Diagram readability is of prime concern.
 .
 Resource Description Framework (RDF) is a standard model
 for data interchange on the Web.

=== debian/rules ===
#!/usr/bin/make -f

# resolve DEB_BUILD_OPTION_PARALLEL
include /usr/share/dpkg/buildopts.mk

# resolve DEB_VERSION_UPSTREAM SOURCE_DATE_EPOCH
include /usr/share/dpkg/pkg-info.mk

COMMANDS = rdfpuml

# generate documentation unless nodoc requested
ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
CHANGELOGS = CHANGELOG.html CHANGELOG.txt
DOCS = README.html README.txt
MANPAGES = $(COMMANDS:=.1)
endif

%:
	dh $@

%.html: %.org
	pandoc --from org --to html --standalone --output $@ $<

%.txt: %.org
	pandoc --from org --to plain --output $@ $<


override_dh_auto_test:
	prove $(if $(filter terse,$(DEB_BUILD_OPTIONS)),,-v) $(DEB_BUILD_OPTION_PARALLEL:%=-j%) t/*.t

execute_after_dh_auto_build: $(DOCS) $(CHANGELOGS)

execute_after_dh_auto_install: $(MANPAGES)

execute_after_dh_install:
	chmod +x debian/rdf2rml/usr/share/rdf2rml/bin/rdfpuml.pl

override_dh_installchangelogs:
	dh_installchangelogs -- $(CHANGELOGS)

# generate manpage
rdfpuml.1: %.1: bin/%.pl
	touch -d@$(SOURCE_DATE_EPOCH) $<
	pod2man -r "$* $(DEB_VERSION_UPSTREAM)" -c "convert RDF to PlantUML diagrams" $< > $@

=== debian/watch ===
version=4
# check: uscan --report
# update: gbp import-orig --upstream-vcs-tag=vX.Y.Z --uscan

opts=\
repacksuffix=~dfsg,\
filenamemangle=s/.*?@ANY_VERSION@(@ARCHIVE_EXT@)/@PACKAGE@_$1.orig$2/,\
mode=git,pgpmode=none,pretty=0~%cd,\
dversionmangle=auto \
https://github.com/VladimirAlexiev/rdf2rml.git \
HEAD

## rdf2rml 0~20250711%2Bdfsg

=== test/customer/Makefile ===
all: clean customer.tarql customer-result.ttl

.DELETE_ON_ERROR:

clean : 
	find . -type f -size 0 -delete

customer.tarql: ../../bin/rdf2sparql.pl customer.ttl
	perl ../../bin/rdf2sparql.pl --tarql customer.ttl | cat common.h prefixes.rq - | cpp -P -C -nostdinc - > $@

customer-result.ttl: customer.tarql customer.csv
	tarql --base http://example.org/resource/ --write-base $^ > $@

=== test/graphs-crunchbase/Makefile ===
all: prefixes.rq organizations.png organizations.ru

prefixes.rq: prefixes.ttl
	perl -pe 'm{###} and last; s{^@}{}; s{ *\.$$}{}' $^ > $@

%.png: %.ttl
	perl -S rdfpuml.pl $*.ttl
	puml $*.puml
	rm $*.puml

%.ru: prefixes.rq %.ttl
	perl -S rdf2sparql.pl \
	  --filterColumn updated_at \
	  --filter "<cb> cb:updatedAt ?UPDATED_AT_DT bind(replace(str(?UPDATED_AT_DT),'T',' ') as ?UPDATED_AT) filter(?updated_at > ?UPDATED_AT)" \
	  $*.ttl | cat common.h prefixes.rq - | cpp -P -C -nostdinc - > $*.ru

=== test/saref4city/Makefile ===
all: example1-saref4city.png example1-saref4city-smetana.png example1-saref4city-vizjs.png example1-saref4city-elk.png

%.puml: %.ttl
	rdfpuml.bat $*.ttl

example1-saref4city.png: example1-saref4city.puml
	puml.bat $^

example1-saref4city-smetana.png: example1-saref4city.puml
	puml.bat -pipe -Playout=smetana < $^ > $@

example1-saref4city-vizjs.png: example1-saref4city.puml
	puml.bat -pipe -graphvizdot vizjs < $^ > $@

example1-saref4city-elk.png: example1-saref4city.puml
	puml.bat -pipe -Playout=elk < $^ > $@

=== test/unicode/Makefile ===
.DELETE_ON_ERROR:

all: unicode.png

%.png : %.ttl prefixes.ttl
	rdfpuml.bat $*.ttl
	puml.bat $*.puml
	rm $*.puml

## rdf2rml 0~20250711+dfsg

=== bin/Makefile ===
.PHONY: clean

# TODO: Simplify command
# "In your case pp -c -o rdfpuml.exe -I lib rdfpuml.pl does the trick"
# https://github.com/rschupp/PAR-Packer/issues/88#issuecomment-2027435765
rdfpuml.exe: rdfpuml.pl
	pp -o $@ -M RDF::Trine:: -M RDF::Query:: -M Data::Perl::Collection::Hash::MooseLike -M FindBin -a ../lib/RDF/Prefixes $^

clean:
	rm rdfpuml.exe

=== test/TRR/Makefile ===
IGNORE = prefixes.ttl
TTL    = $(filter-out $(IGNORE), $(wildcard *.ttl))
PNG    = $(patsubst %.ttl, %.png, $(TTL))

all : $(PNG)

%.puml : %.ttl
	rdfpuml.bat $<

%.png : %.puml
	puml.bat $<

=== test/complex-types/Makefile ===
all: example.png example2.png example-iof.puml example-iof.png example-iof-puml.png example-technician.png

%.puml: %.ttl | prefixes.ttl
	rdfpuml.bat $^

%.png: %.puml
	plantuml $^

=== test/conditional-node/Makefile ===
all: prefixes.rq organizations.png organizations.ru test-macro-out.txt

prefixes.rq: prefixes.ttl
	perl -pe 'm{###} and last; s{^@}{}; s{ *\.$$}{}' $^ > $@

%.png: %.ttl
	perl -S rdfpuml.pl $*.ttl
	puml $*.puml
	rm $*.puml

%.ru: prefixes.rq %.ttl
	perl -S rdf2sparql.pl $*.ttl | cat common.h prefixes.rq - | cpp -P -C -nostdinc - > $*.ru

test-macro-out.txt: test-macro-in.txt
	cpp -P -C -nostdinc $^ > $@

=== test/exhibitions/Makefile ===
IGNORE = prefixes.ttl
TTL    = $(filter-out $(IGNORE), $(wildcard *.ttl))
PUML   = $(patsubst %.ttl, %.puml, $(TTL))
PNG    = $(patsubst %.ttl, %.png, $(TTL))
R2RML  = exhibitions.r2rml.ttl
SQLITE = exhibitions.sqlite

all : $(PUML) $(PNG) $(R2RML) # $(SQLITE)

%.puml : %.ttl
	rdfpuml.bat $<

%.png : %.puml
	puml.bat $<

%.r2rml.ttl : %.ttl
	rdf2rml.sh $< >$@

%.sqlite : %.sql
	rm -f $@
	sqlite3 -init $< -cmd quit $@

=== test/filter-content/Makefile ===
all: prefixes.rq content.png content.tarql content-result.ttl

prefixes.rq: prefixes.ttl
	perl -pe 'm{###} and last; s{^@}{}; s{ *\.$$}{}' $^ > $@

%.png: %.ttl
	perl -S rdfpuml.pl $*.ttl
	puml $*.puml
	rm $*.puml

%.tarql: prefixes.rq %.ttl
	perl -S rdf2sparql.pl -tarql $*.ttl | cat prefixes.rq - > $*.tarql

%-result.ttl: %.tarql %.csv
	tarql $^ > $@

=== test/museum-object/Makefile ===
IGNORE = prefixes.ttl title.r2rml.ttl
TTL    = $(filter-out $(IGNORE), $(wildcard *.ttl))
PUML   = $(patsubst %.ttl, %.puml, $(TTL))
PNG    = $(patsubst %.ttl, %.png, $(TTL))
R2RML  = objects.r2rml.ttl

all : $(PUML) $(PNG) $(R2RML)

%.puml : %.ttl
	rdfpuml.bat $<

%.png : %.puml
	puml.bat $<

%.r2rml.ttl : %.ttl
	rdf2rml.sh $< >$@

=== test/parens-not-brackets/Makefile ===
NONE: 

old: test-old.puml test-old.png
new: test-new.puml test-new.png

%.puml: test.ttl
	perl -S rdfpuml.pl test.ttl
	mv test.puml $*.puml

%.png: %.puml
	puml $*.puml

=== test/permid/Makefile ===
all: permid-model-fin.png permid-model-org.png permid-model-pers.png sample-RobinSmith-positions.png sample-SirmaGroup-AtanasKiryakov.png

%.png : %.ttl
	rdfpuml.bat $*.ttl
	puml.bat $*.puml
	rm $*.puml

=== test/regression/Makefile ===
IGNORE = prefixes.ttl
TTL    = $(filter-out $(IGNORE), $(wildcard *.ttl))
PUML   = $(patsubst %.ttl, %.puml, $(TTL))
PNG    = $(patsubst %.ttl, %.png, $(TTL))

all : $(PUML) $(PNG)

%.puml : %.ttl
	rdfpuml.bat $<

%.png : %.puml
	puml.bat $<

=== test/vlaanderen/Makefile ===
.DELETE_ON_ERROR:

all: persoon.png persoon-contributors.png

%.png : %.ttl prefixes.ttl
	rdfpuml.bat $*.ttl
	puml.bat $*.puml
	rm $*.puml

=== debian/changelog ===
rdf2rml (0~20250711+dfsg-1) unstable; urgency=medium

  [ upstream ]
  * development snapshot

  [ Jonas Smedegaard ]
  * update watch file: use file format 5
  * declare compliance with Debian Policy 4.7.2
  * update and unfuzz patches
  * update upstream documentation file names
  * move aside upstream-generated documentation during build

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 29 Aug 2025 10:05:24 +0200

=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
  libtest-script-perl <!nocheck>,
  pandoc <!nodoc>,
  perl <!nocheck>,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://github.com/VladimirAlexiev/rdf2rml
 Vcs-Browser: https://salsa.debian.org/debian/rdf2rml
 Vcs-Git: https://salsa.debian.org/debian/rdf2rml.git

=== debian/rules ===
--- 
+++ 
@@ -11,7 +11,7 @@
 # generate documentation unless nodoc requested
 ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
 CHANGELOGS = CHANGELOG.html CHANGELOG.txt
-DOCS = README.html README.txt
+DOCS = index.html index.txt
 MANPAGES = $(COMMANDS:=.1)
 endif
 
@@ -24,6 +24,9 @@
 %.txt: %.org
 	pandoc --from org --to plain --output $@ $<
 
+# move aside upstream-generated file during build
+execute_before_dh_auto_configure:
+	[ -f index.html.orig ] || cp -f index.html index.html.orig
 
 override_dh_auto_test:
 	prove $(if $(filter terse,$(DEB_BUILD_OPTIONS)),,-v) $(DEB_BUILD_OPTION_PARALLEL:%=-j%) t/*.t
@@ -35,6 +38,10 @@
 execute_after_dh_install:
 	chmod +x debian/rdf2rml/usr/share/rdf2rml/bin/rdfpuml.pl
 
+# restore upstream-generated file moved aside during build
+execute_after_dh_auto_clean:
+	[ ! -f index.html.orig ] || mv -f index.html.orig index.html
+
 override_dh_installchangelogs:
 	dh_installchangelogs -- $(CHANGELOGS)

=== debian/watch ===
version: 5
# check: uscan --report
# update: gbp import-orig --upstream-vcs-tag=vX.Y.Z --uscan

Source: https://github.com/VladimirAlexiev/rdf2rml.git
Matching-Pattern: HEAD
Mode: git
Pretty: 0~%cd
Dversion-Mangle: auto
Repack-Suffix: +dfsg
